VERSION 5.00
Begin VB.Form frmMain 
   BorderStyle     =   3  'Fester Dialog
   Caption         =   "Form"
   ClientHeight    =   2160
   ClientLeft      =   7245
   ClientTop       =   5625
   ClientWidth     =   3360
   Icon            =   "Form1.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   2160
   ScaleWidth      =   3360
   ShowInTaskbar   =   0   'False
   StartUpPosition =   2  'Bildschirmmitte
   Begin VB.CommandButton btnDelete 
      Caption         =   "Delete Markers"
      Height          =   495
      Left            =   1200
      TabIndex        =   2
      Top             =   1560
      Width           =   975
   End
   Begin VB.CommandButton btnCancel 
      Caption         =   "Cancel"
      Height          =   495
      Left            =   2280
      TabIndex        =   3
      Top             =   1560
      Width           =   975
   End
   Begin VB.CommandButton btnOK 
      Caption         =   "Search"
      Default         =   -1  'True
      Height          =   495
      Left            =   120
      TabIndex        =   1
      Top             =   1560
      Width           =   975
   End
   Begin VB.TextBox txtPosNr 
      Height          =   285
      Left            =   120
      TabIndex        =   0
      Top             =   1080
      Width           =   3135
   End
   Begin VB.Image Image1 
      Height          =   375
      Left            =   120
      Picture         =   "Form1.frx":040E
      Top             =   120
      Width           =   1500
   End
   Begin VB.Label lblOutput 
      Height          =   255
      Left            =   113
      TabIndex        =   5
      Top             =   840
      Width           =   3135
   End
   Begin VB.Label Label1 
      AutoSize        =   -1  'True
      Caption         =   "Positionnumber to find"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   9.75
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   240
      Left            =   120
      TabIndex        =   4
      Top             =   600
      Width           =   2310
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'
'This program is distributed in the hope that it will be useful,
'but WITHOUT ANY WARRANTY; without even the implied warranty of
'MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
'GNU General Public License for more details.
'
'You should have received a copy of the GNU General Public License
'along with this program; if not, write to the Free Software
'Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

'Eine deutsche bersetzung der GNU General Public License kann unter
'"http://www.gnu.de/gpl-ger.html" eingesehen werden.
'================================================================================================================
'
' changes:
'   29.05.2008 105 Florian Tree
'           - changed Form, implemented Delete function
'
'================================================================================================================
Option Explicit
'
Private clsDB As clsMarkPositions

Private Sub Busi(bEnabled As Boolean)
    If bEnabled Then
        lblOutput.Caption = "Searching please wait .. "
    Else
        'lblOutput.Caption = ""
    End If
    btnOK.Enabled = Not bEnabled
    btnCancel.Enabled = Not bEnabled
    btnDelete.Enabled = Not bEnabled
    DoEvents
End Sub


Private Sub btnCancel_Click()
    Unload Me
End Sub


Private Sub btnOK_Click()
'
Dim sFehler  As String
    sFehler = vbNullString

    If Len(txtPosNr.Text) = 0 Then
        GoTo Terminate:
    End If
    '
    sFehler = vbNullString
    Call Busi(True)
    If Not clsDB.searchBalloons(txtPosNr.Text) Then
        sFehler = clsDB.getError
        If sFehler <> vbNullString Then
            Call FehlerMeldung(sFehler, App.Title & "  <Fehler>")
            GoTo Terminate:
        End If
        '
        lblOutput.Caption = "The Positionnumber """ & txtPosNr.Text & """ does not exist"
     Else
        lblOutput.Caption = clsDB.getCount & " Position(s) marked"
     End If

    '
Terminate:
    Call Busi(False)
End Sub


'
' show error
'
Public Sub FehlerMeldung(sFehlerMeldung As String, sUeberschrift As String)
    MsgBox sFehlerMeldung, vbOKOnly + vbInformation, sUeberschrift
End Sub

Private Sub btnDelete_Click()
    Dim clsDB As clsMarkPositions
    Dim sFehler  As String
    sFehler = vbNullString
    
    Set clsDB = New clsMarkPositions
    Call Busi(True)
    If Not clsDB.delBalloons() Then
        sFehler = clsDB.getError
        If sFehler <> vbNullString Then
            Call FehlerMeldung(sFehler, App.Title & "  <Fehler>")
            GoTo Terminate:
        End If
        lblOutput.Caption = "No Position-Marker(s) to delete"
     Else
        lblOutput.Caption = clsDB.getDelCount & " Position-Marker(s) deleted"
    End If
    
    '
Terminate:
    Call Busi(False)
End Sub

Private Sub Form_Load()
'
    Set clsDB = New clsMarkPositions
    Me.Caption = App.Title
'
End Sub

Private Sub Form_QueryUnload(Cancel As Integer, UnloadMode As Integer)
'
    Set clsDB = Nothing
'
End Sub
