Attribute VB_Name = "MarkPosition"
Option Explicit
'
Private clsDB As clsMarkPositions
Private sFehler As String
Private sInput

Sub Main()
    sFehler = vbNullString
    Do
        sInput = InputBox("Positionnumber to find" _
                & vbNewLine & vbNewLine & sFehler, App.Title, vbNullString)
        If Len(sInput) = 0 Then
            GoTo Terminate:
        End If
        '
        sFehler = vbNullString
        Set clsDB = New clsMarkPositions
        If Not clsDB.delBalloons(sInput) Then
            sFehler = clsDB.getError
            If sFehler <> vbNullString Then
                Call FehlerMeldung(sFehler, App.Title & "  <Fehler>")
                GoTo Terminate:
            End If
            '
            sFehler = "The Positionnumber " & sInput & " does not exist"
         Else
            sFehler = clsDB.getCount & " Position(s) marked"
         End If
    Loop
    '
    sFehler = sFehler & vbNewLine & "End of Run"
    MsgBox sFehler, vbInformation, App.Title & "  <Hinweis>"
    '
Terminate:
    Set clsDB = Nothing
End Sub

'
' show error
'
Public Sub FehlerMeldung(sFehlerMeldung As String, sUeberschrift As String)
    MsgBox sFehlerMeldung, vbOKOnly + vbInformation, sUeberschrift
End Sub


